    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.CDATA

    java.lang.Object
       |
       +----org.jdom.CDATA

public class CDATA
extends Object
implements Serializable, Cloneable

`CDATA` represents character-based content within an XML document represented by JDOM. It is intended to provide a modular, printable method of representing CDATA. Additionally, `CDATA` makes no guarantees about the underlying textual representation of character data, but does expose that data as a Java `String`.

Version:
  $Revision: 1.20 $, $Date: 2002/03/12 07:11:39 $
Author:
  Dan Schaffer, Brett McLaughlin, Jason Hunter, Bradley S. Huffman

##

parent
  This `CDATA` node's parent.
value
  The actual character content

##

CDATA()

  This is the protected, no-args constructor standard in all JDOM classes.

CDATA(String)

  This constructor creates a new `CDATA` node, with the supplied string value as it's character content.

##

append(CDATA)

  This will append the content of another `CDATA` node to this node.

append(String)

  This will append character content to whatever content already exists within this `CDATA` node.

clone()

  This will return a clone of this `CDATA` node, with the same character content, but no parent.

detach()

  Detaches the `CDATA` from its parent, or does nothing if the `CDATA` has no parent.

equals(Object)

  This tests for equality of this `CDATA` to the supplied `Object`, explicitly using the == operator.

getDocument()

  This retrieves the owning `{`

getParent()

  This will return the parent of this `CDATA` node, which is always a JDOM `{`

getText()

  This returns the value of this `CDATA` node as a Java `String`.

getTextNormalize()

  This returns the textual content with all surrounding whitespace removed and internal whitespace normalized to a single space.

getTextTrim()

  This returns the textual content with all surrounding whitespace removed.

hashCode()

  This will generate a hash code for this node.

setParent(Element)

  This will set the parent of the `CDATA` node to the supplied `{`

setText(String)

  This will set the value of this `CDATA` node.

toString()

  This returns a `String` representation of the `CDATA` node, suitable for debugging.

##

value

     protected String value

  The actual character content

parent

     protected Object parent

  This `CDATA` node's parent.

##

CDATA

     protected CDATA()

  This is the protected, no-args constructor standard in all JDOM classes. It allows subclassers to get a raw instance with no initialization.

CDATA

     public CDATA(String str)

  This constructor creates a new `CDATA` node, with the supplied string value as it's character content.

  Parameters:
    str - the node's character content.

##

getText

     public String getText()

  This returns the value of this `CDATA` node as a Java `String`.

  Returns:
    `String` - character content of this node.

getTextTrim

     public String getTextTrim()

  This returns the textual content with all surrounding whitespace removed. If only whitespace exists, the empty string is returned.

  Returns:
    trimmed cdata content or empty string

getTextNormalize

     public String getTextNormalize()

  This returns the textual content with all surrounding whitespace removed and internal whitespace normalized to a single space. If only whitespace exists, the empty string is returned.

  Returns:
    normalized cdata content or empty string

setText

     public CDATA setText(String str)

  This will set the value of this `CDATA` node.

  Parameters:
    str - value for node's content.

append

     public void append(String str)

  This will append character content to whatever content already exists within this `CDATA` node.

  Parameters:
    str - character content to append.

append

     public void append(CDATA cdata)

  This will append the content of another `CDATA` node to this node.

  Parameters:
    cdata - CDATA node to append.

getParent

     public Element getParent()

  This will return the parent of this `CDATA` node, which is always a JDOM `{@link Element}`.

  Returns:
    `Element` - this node's parent.

getDocument

     public Document getDocument()

  This retrieves the owning `{@link Document}` for this `CDATA`, or null if not a currently a member of a `{@link Document}`.

  Returns:
    `Document` owning this `CDATA`, or null.

setParent

     protected CDATA setParent(Element parent)

  This will set the parent of the `CDATA` node to the supplied `{@link Element}`. This method is intentionally left as `protected` so that only JDOM internals use it.

  If you need an instance of this `CDATA` node with a new parent, you should get a copy of this node with `{@link #clone}` and set it on the desired (new) parent `Element`.

  Parameters:
    parent - parent for this node.

detach

     public CDATA detach()

  Detaches the `CDATA` from its parent, or does nothing if the `CDATA` has no parent.

  Returns:
    `CDATA` - this `CDATA` modified.

toString

     public String toString()

  This returns a `String` representation of the `CDATA` node, suitable for debugging. If the XML representation of the `CDATA` node is desired, either `{@link #getText}` or {@link org.jdom.output.XMLOutputter#output(CDATA, Writer)} should be used.

  Returns:
    `String` - information about this node.
  Overrides:
    toString in class Object

hashCode

     public final int hashCode()

  This will generate a hash code for this node.

  Returns:
    `int` - hash code for this node.
  Overrides:
    hashCode in class Object

clone

     public Object clone()

  This will return a clone of this `CDATA` node, with the same character content, but no parent.

  Returns:
    `CDATA` - cloned node.
  Overrides:
    clone in class Object

equals

     public final boolean equals(Object ob)

  This tests for equality of this `CDATA` to the supplied `Object`, explicitly using the == operator.

  Parameters:
    ob - `Object` to compare to
  Returns:
    whether the `CDATA` nodes are equal
  Overrides:
    equals in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index